| Entertainment, Technology, Guides, Internet, News, Job Vacancy, Blog Tutorial

Tuesday, December 03, 2013

Ubuntu : How to Fix Package Dependencies Error

How to fix Ubuntu Package Dependencies cannot be resolved
  ABCNetspace.com Hello all, it's been a long time we do not post any updates on this lovely site, now, we come back alive with something new. There will be a new section on ABCNetspace.com, called Ubuntu Section! Yes, we will post any tips and trick about Ubuntu, troubleshooting, and more.

The first post in this new Ubuntu section will be discussing about "Package Dependencies cannot be resolved" Error when you try to install a new application on Ubuntu, for example : Wine, Nitros, etc. This usually happens in Ubuntu 64-bit.

How to fix Ubuntu Package Dependencies cannot be resolved

Reason

Why is this happening? Because some of the apps mentioned above only support 32-bit architecture. But I'm running on 64-bit, how can i jump to 32-bit if I already run on 64-bit? Don't worry, Ubuntu is a very customizable Operating System, you can simply add 32-bit architecture into your 64-bit Ubuntu Operating System by typing several commands in the terminal.

Troubleshooting

Here it is the commands you need to execute in the terminal in order to fix this "Package Dependencies cannot be resolved" Error :

1. Open Ubuntu terminal, Ctrl+Alt+T
2. Type the following command to add 32-bit architecture to your system :

sudo dpkg --add-architecture i386

3. After you've finished running that command, type this command :
 
sudo apt-get update

4. Now, reboot your system, and try to install the app.
5. If you're still unable to install the app, do this command :
 
sudo apt-get install ia32-libs

Let us know if this method works for you or not, feel free leave any comment below. Thank you.

1 comments:

  1. I am unable to use my dongles in Ubuntu. What to do? Can you please tell me.

    ReplyDelete

 

ABCNetspace | Entertainment, Technology, Guides, Internet, News, Job Vacancy, Blog Tutorial